package com.clx.performance.param.pc;

import com.msl.common.base.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
@ToString
@NoArgsConstructor
public class PageMonitorOrderChildQCParam extends PageParam {


    @ApiModelProperty(value = "发货地址")
    private Integer sendAddress;

    @ApiModelProperty(value = "车牌号")
    private String truckNo;

    @NotNull(message = "运单状态不能为空")
    @ApiModelProperty(value = "运单状态  10：已接单  20:支付 30：前往货源地 40：到达货源地 50：装货成功 60：前往目的地 70：到达目的地 80：收货待确认  90：待结算 100：完成  110:司机取消  111:承运取消   112:货主取消 ")
    private List<Integer> status;


}
